# Trading Stats

`GET` `/v1/quote/trades-statistics`

Get trade statistics showing price distribution by volume for a security.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `700.HK` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/trades-statistics?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trades` | object[] | No | Price-level trade distribution |
| `└ price` | string | No | Price level |
| `└ buy_amount` | string | No | Buy amount at this price |
| `└ sell_amount` | string | No | Sell amount at this price |
| `└ neutral_amount` | string | No | Neutral amount at this price |
| `statistics` | object | No | Aggregate trade statistics |
| `└ avgprice` | string | No | Average price. |
| `└ trades_count` | string | No | Number of trades. |
| `└ total_amount` | string | No | Total market turnover. |
| `└ buy` | string | No | Top buying brokers |
| `└ sell` | string | No | Top selling brokers |
| `└ neutral` | string | No | Neutral value/count. |
| `└ timestamp` | string | No | Event time (Unix seconds as string) |
| `└ preclose` | string | No | Previous close price. |
| `└ trade_date` | array | No | Next projected trade date (YYYY-MM-DD) |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "statistics": {
      "avgprice": "210.50",
      "buy": "45000000",
      "sell": "38000000",
      "neutral": "12000000",
      "total_amount": "95000000",
      "trades_count": "125000",
      "preclose": "208.20",
      "timestamp": "1778198400",
      "trade_date": [
        "2026-05-13"
      ]
    },
    "trades": [
      {
        "price": "210.00",
        "buy_amount": "5000000",
        "sell_amount": "4000000",
        "neutral_amount": "1000000"
      }
    ]
  }
}
```
